Package org.opensaml.saml.criterion

# Class ArtifactCriterion

java.lang.Object
org.opensaml.saml.criterion.ArtifactCriterion

All Implemented Interfaces:
  `Criterion`

public final class ArtifactCriterion extends Object implements Criterion
`Criterion` representing a `SAMLArtifact`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final SAMLArtifact`
`artifact`
The SourceID value.

## Constructor Summary

Constructors
Constructor
Description
`ArtifactCriterion(SAMLArtifact newArtifact)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`SAMLArtifact`
`getArtifact()`
Get the SAML artifact.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### artifact

@Nonnull private final SAMLArtifact artifact
The SourceID value.

## Constructor Details

### ArtifactCriterion

public ArtifactCriterion(@Nonnull SAMLArtifact newArtifact)
Constructor.

Parameters:
  `newArtifact` - the artifact value

## Method Details

### getArtifact

@Nonnull public SAMLArtifact getArtifact()
Get the SAML artifact.

Returns:
  the SAML artifact

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`